searchNodes=[{"doc":"Service module for AWS Polly for speech synthesis.","ref":"ExAws.Polly.html","title":"ExAws.Polly","type":"module"},{"doc":"Returns the list of voices that are available for use when requesting speech synthesis. Each voice speaks a specified language, is either male or female, and is identified by an ID, which is the ASCII version of the voice name. http://docs.aws.amazon.com/polly/latest/dg/API_DescribeVoices.htmlExampleiex&gt; ExAws.Polly.describe_voices() |&gt; ExAws.request() {:ok, %{&quot;NextToken&quot; =&gt; nil, &quot;Voices&quot; =&gt; [%{&quot;Gender&quot; =&gt; &quot;Female&quot;, &quot;Id&quot; =&gt; &quot;Joanna&quot;, &quot;LanguageCode&quot; =&gt; &quot;en-US&quot;, &quot;LanguageName&quot; =&gt; &quot;US English&quot;, &quot;Name&quot; =&gt; &quot;Joanna&quot;}, %{&quot;Gender&quot; =&gt; &quot;Male&quot;, &quot;Id&quot; =&gt; &quot;Takumi&quot;, &quot;LanguageCode&quot; =&gt; &quot;ja-JP&quot;, &quot;LanguageName&quot; =&gt; &quot;Japanese&quot;, &quot;Name&quot; =&gt; &quot;Takumi&quot;}, , %{...}, ...]}}","ref":"ExAws.Polly.html#describe_voices/0","title":"ExAws.Polly.describe_voices/0","type":"function"},{"doc":"Retrieves a specific SpeechSynthesisTask object based on its TaskID. This object contains information about the given speech synthesis task, including the status of the task, and a link to the S3 bucket containing the output of the task. https://docs.aws.amazon.com/polly/latest/dg/API_GetSpeechSynthesisTask.htmlExampleiex&gt; ExAws.Polly.get_speech_synthesis_task(task_id) |&gt; ExAws.request() {:ok, %{ body: &lt;&lt;123, 34, 83, 121, 110, 116, 104, 101, 115, 105, 115, 84, 97, 115, 107, 34, 58, 123, 34, 67, 114, 101, 97, 116, 105, 111, 110, 84, 105, 109, 101, 34, 58, 49, 46, 54, 52, 55, 51, 52, 50, 56, 49, 56, 52, 48, 52, 69, 57, 44, ...&gt;&gt;, headers: [ {&quot;x-amzn-RequestId&quot;, &quot;8c730aaa-530e-4b46-bb34-b1827d1a7eac&quot;}, {&quot;Content-Type&quot;, &quot;application/json&quot;}, {&quot;Content-Length&quot;, &quot;463&quot;}, {&quot;Date&quot;, &quot;Tue, 15 Mar 2022 11:13:38 GMT&quot;} ], status_code: 200 }}","ref":"ExAws.Polly.html#get_speech_synthesis_task/1","title":"ExAws.Polly.get_speech_synthesis_task/1","type":"function"},{"doc":"Allows the creation of an asynchronous synthesis task, by starting a new SpeechSynthesisTask. https://docs.aws.amazon.com/polly/latest/dg/API_StartSpeechSynthesisTask.htmlOptions:output_format - The format in which the returned output will be encoded (mp3, ogg_vorbis, or pcm). Default is mp3.:voice_id - Voice ID to use for the synthesis. You can get a list of available voice IDs by calling ExAws.Polly.describe_voices. Default is &quot;Joanna&quot;.:engine - Specifies the engine (standard or neural) to use when processing input text for speech synthesis.:language_code - Optional language code for the Synthesize Speech request. This is only necessary if using a bilingual voice, such as Aditi, which can be used for either Indian English (en-IN) or Hindi (hi-IN).:lexicon_names - List of one or more pronunciation lexicon names you want the service to apply during synthesis.:output_s3_key_prefix - The Amazon S3 key prefix for the output speech file.:sample_rate - The audio frequency specified in Hz. Valid values for mp3 and ogg_vorbis are &quot;8000&quot;, &quot;16000&quot;, and &quot;22050&quot;. Valid values for pcm are &quot;8000&quot; and &quot;16000&quot;. Default is &quot;16000&quot;.:sns_topic_arn - ARN for the SNS topic optionally used for providing status notification for a speech synthesis task.:text_type - Specifies whether the input text is plain text or SSML. Default is plain text.Exampleiex&gt; ExAws.Polly.start_speech_synthesis_task(&quot;hello world&quot;, &quot;polly-bucket&quot;) |&gt; ExAws.request() {:ok, %{ body: &lt;&lt;123, 34, 83, 121, 110, 116, 104, 101, 115, 105, 115, 84, 97, 115, 107, 34, 58, 123, 34, 67, 114, 101, 97, 116, 105, 111, 110, 84, 105, 109, 101, 34, 58, 49, 46, 54, 52, 55, 51, 52, 50, 56, 49, 56, 52, 48, 52, 69, 57, 44&gt;&gt;, headers: [ {&quot;x-amzn-RequestId&quot;, &quot;8c730aaa-530e-4b46-bb34-b1827d1a7eac&quot;}, {&quot;Content-Type&quot;, &quot;application/json&quot;}, {&quot;Content-Length&quot;, &quot;463&quot;}, {&quot;Date&quot;, &quot;Tue, 15 Mar 2022 11:13:38 GMT&quot;} ], status_code: 200 }}","ref":"ExAws.Polly.html#start_speech_synthesis_task/3","title":"ExAws.Polly.start_speech_synthesis_task/3","type":"function"},{"doc":"Returns synthesized speech binary from given text. http://docs.aws.amazon.com/polly/latest/dg/API_SynthesizeSpeech.htmlOptions:output_format - The format in which the returned output will be encoded (mp3, ogg_vorbis, or pcm). Default is mp3.:voice_id - Voice ID to use for the synthesis. You can get a list of available voice IDs by calling ExAws.Polly.describe_voices. Default is &quot;Joanna&quot;.:engine - Specifies the engine (standard or neural) to use when processing input text for speech synthesis.:language_code - Optional language code for the Synthesize Speech request. This is only necessary if using a bilingual voice, such as Aditi, which can be used for either Indian English (en-IN) or Hindi (hi-IN).:lexicon_names - List of one or more pronunciation lexicon names you want the service to apply during synthesis.:sample_rate - The audio frequency specified in Hz. Valid values for mp3 and ogg_vorbis are &quot;8000&quot;, &quot;16000&quot;, and &quot;22050&quot;. Valid values for pcm are &quot;8000&quot; and &quot;16000&quot;. Default is &quot;16000&quot;.:text_type - Specifies whether the input text is plain text or SSML. Default is plain text.Exampleiex&gt; ExAws.Polly.synthesize_speech(&quot;hello world&quot;) |&gt; ExAws.request() {:ok, %{body: &lt;&lt;73, 68, 51, 4, 0, 0, 0, 0, 0, 35, 84, 83, 83, 69, 0, 0, 0, 15, 0, 0, 3, 76, 97, 118, 102, 53, 55, 46, 55, 49, 46, 49, 48, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 255, 243, 88, ...&gt;&gt;, headers: [{&quot;x-amzn-RequestId&quot;, &quot;3e7dbbf6-e912-11e7-a27d-e308ce5e5bf6&quot;}, {&quot;x-amzn-RequestCharacters&quot;, &quot;5&quot;}, {&quot;Content-Type&quot;, &quot;audio/mpeg&quot;}, {&quot;Transfer-Encoding&quot;, &quot;chunked&quot;}, {&quot;Date&quot;, &quot;Mon, 25 Dec 2017 01:23:42 GMT&quot;}], status_code: 200}}","ref":"ExAws.Polly.html#synthesize_speech/2","title":"ExAws.Polly.synthesize_speech/2","type":"function"},{"doc":"","ref":"ExAws.Polly.html#t:start_speech_synthesis_task_options/0","title":"ExAws.Polly.start_speech_synthesis_task_options/0","type":"type"},{"doc":"","ref":"ExAws.Polly.html#t:synthesize_speech_options/0","title":"ExAws.Polly.synthesize_speech_options/0","type":"type"},{"doc":"","ref":"ExAws.Polly.Parsers.html","title":"ExAws.Polly.Parsers","type":"module"},{"doc":"","ref":"ExAws.Polly.Parsers.html#parse/2","title":"ExAws.Polly.Parsers.parse/2","type":"function"}]